Tech Tip: Unable to start Spectrum Connector 2.0.0.195

Document created by ambas01 Employee on May 12, 2015
Version 1Show Document
  • View in full screen mode

Environment: SOI 3.1 / 3.1 SP1 Manager and Spectrum 2.0.0.195 connector installed on remote standalone machine

 

Problem: After installing IFW from SOI 3.0 DVD, installed Spectrum 2.0.0.195 connector and it is not starting. And no Spectrum connector logs created in SOI\log folder.

 

Solution:

CA\SOI\jsw\logs\SAM-IntegrationServices_wrapper.log shows following errors

-----------

INFO | jvm 1 | 2015/05/11 05:00:49 | 2015/05/11 05:00:49 : <Connector_Machine_Name> ConnectorService : ONLINE : Broadcasting HeartBeat Message

INFO | jvm 1 | 2015/05/11 05:00:49 | Exception in thread "CA:00005_Spectrum-<Spectrum_Machine_Name>@<Connector_Machine_Name>" java.lang.UnsupportedClassVersionError: com/aprisma/util/thread/ThreadTask : Unsupported major.minor version 51.0

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.lang.ClassLoader.defineCl***1(Native Method)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.lang.ClassLoader.defineClassCond(ClassLoader.java:632)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.lang.ClassLoader.defineCl***(ClassLoader.java:616)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.net.URLClassLoader.access$000(URLClassLoader.java:58)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.net.URLClassLoader$1.run(URLClassLoader.java:197)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.security.AccessController.doPrivileged(Native Method)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.net.URLClassLoader.findCl***(URLClassLoader.java:190)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.lang.ClassLoader.loadClass(ClassLoader.java:307)

INFO | jvm 1 | 2015/05/11 05:00:49 | at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.lang.ClassLoader.loadClass(ClassLoader.java:248)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.lang.Class.getDeclaredConstructors0(Native Method)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.lang.Class.privateGetDeclaredConstructors(Class.java:2389)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.lang.Class.getConstructor0(Class.java:2699)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.lang.Class.newInstance0(Class.java:326)

INFO | jvm 1 | 2015/05/11 05:00:49 | at java.lang.Class.newInstance(Cl***.java:308)

INFO | jvm 1 | 2015/05/11 05:00:49 | at com.ca.sam.ifw.framework.Connector$8.run(Connector.java:2620)

-------------

 

Which is indicates, the required libraries needed for 2.0.0.195 connector startup are old / unsupported and to correct this it is recommended to upgrade IFW to 3.1 (patch RO56291) / 3.1Sp1 (patch RO60285). Or apply same patches which you have applied on SOI manager as per SOI\Patches\SOIPatchLog.his

Attachments

    Outcomes